window.Gleam.initSearch([{"doc":"palabres_wisp","title":"palabres_wisp","content":"# Palabres + Wisp\n\n`palabres_wisp` is an integration of [`palabres`](https://hexdocs.pm/palabres)\nfor [`wisp`](https://hexdocs.pm/wisp). When using `wisp`, you can simply use the\nPalabres integration, and get your logs nicely formatted!\n\n## Installation\n\n```sh\ngleam add palabres_wisp\n```\n\n## Getting started\n\nTo get started, everything you need is to configure your logger, calling the\n`wisp` middleware and you&#39;re done! Everything remaining is to use Palabres to\ncreate logs!\n\n```gleam\nimport palabres\nimport palabres/options\nimport palabres/level\nimport palabres_wisp\nimport wisp\n\npub fn configure_logger() {\n  options.defaults()\n  |&gt; options.color(True)\n  |&gt; options.json(False)\n  |&gt; options.output(to: options.stdout())\n  |&gt; palabres.configure\n}\n\npub fn handle_request(request: Request) -&gt; Response {\n  use &lt;- palabres_wisp.log_request(request)\n  wisp.ok()\n}\n```\n\nAnd you&#39;re good to go! Explore the possibilities you got with Palabres on\n[Hexdocs](https://hexdocs.pm/palabres/palabres.html).\n","url":"index.html"},{"doc":"palabres_wisp","title":"log_request","content":"pub fn log_request(\n  req: Request(Connection),\n  handler: fn() -&gt; Response(Body),\n) -&gt; Response(Body)\n Provides a middleware to display every incoming request for a Wisp server.\\\n Use it in your router to log request with status code, path and method.\n\n \n import palabres_wisp\n import wisp\n pub fn router(req: wisp.Request, ctx: context) -&gt; wisp.Response {\n   use &lt;- palabres_wisp.log_request(req)\n   route_request(req)\n }\n \nSynonyms:\npalabres_wisp.log_request\npalabres_wisp log_request","url":"palabres_wisp.html#log_request"},{"doc":"palabres_wisp","title":"palabres_wisp","content":"","url":"palabres_wisp.html"}]);